Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.irisa.genouest.logol.utils.model
Class EndNode

    java.lang.Object
      org.irisa.genouest.logol.utils.model.AbstractNode
          org.irisa.genouest.logol.utils.model.EndNode

All Implemented Interfaces:
  LogolInterfaceNode

    public class EndNode

extends AbstractNode
implements LogolInterfaceNode

Termination Node

Author:
  osallou

Field Summary

Fields inherited from class org.irisa.genouest.logol.utils.model.AbstractNode
`terminals`

Constructor Summary
`EndNode()`

Method Summary
`java.lang.String` | `getGlobalInfo(org.w3c.dom.Node startNode)` Gets information of a group of nodes, used for views or repeats for example.
`java.lang.String` | `getNodeGrammar(org.w3c.dom.Node startNode)` Get the logol grammar for the node
`void` | `update(org.w3c.dom.Node item, org.w3c.dom.Node matchNode)`

Methods inherited from class org.irisa.genouest.logol.utils.model.AbstractNode
`addAttributes, doOverlap, getTerminals, isShowComments, setShowComments, setTerminals`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.irisa.genouest.logol.utils.model.LogolInterfaceNode
`doOverlap, setShowComments, setTerminals`

Constructor Detail

### EndNode

    public EndNode()

Method Detail

### getGlobalInfo

    public java.lang.String getGlobalInfo(org.w3c.dom.Node startNode)

  Description copied from interface: `LogolInterfaceNode`
  Gets information of a group of nodes, used for views or repeats for example.

  Specified by:
    `getGlobalInfo` in interface `LogolInterfaceNode`
  Parameters:
    `startNode` - current node to convert
  Returns:
    String logol representation

### getNodeGrammar

    public java.lang.String getNodeGrammar(org.w3c.dom.Node startNode)

  Description copied from interface: `LogolInterfaceNode`
  Get the logol grammar for the node

  Specified by:
    `getNodeGrammar` in interface `LogolInterfaceNode`
  Parameters:
    `startNode` - Node to convert
  Returns:
    String logol representation

### update

    public void update(org.w3c.dom.Node item,
                       org.w3c.dom.Node matchNode)

  Specified by:
    `update` in interface `LogolInterfaceNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD